'''
臺北市(A)
臺中市(B)
基隆市(C)
臺南市(D)
高雄市(E)
臺北縣(F)
宜蘭縣(G)
桃園縣(H)
新竹縣(J)
苗栗縣(K)
臺中縣(L)
南投縣(M)
彰化縣(N)
雲林縣(P)
嘉義縣(Q)
臺南縣(R)
高雄縣(S)
屏東縣(T)
花蓮縣(U)
臺東縣(V)
澎湖縣(X)
陽明山(Y)
金門縣(W)
連江縣(Z)
新竹市(O)
嘉義市(I)
'''
import random

# 行政區代碼及名稱
districts = {'A': '臺北市', 'B': '臺中市', 'C': '基隆市', 'D': '臺南市', 'E': '高雄市', 'F': '臺北縣', 'G': '宜蘭縣', 'H': '桃園縣',
             'I': '嘉義市', 'J': '新竹縣', 'K': '苗栗縣', 'L': '臺中縣', 'M': '南投縣', 'N': '彰化縣', 'P': '雲林縣', 'Q': '嘉義縣',
             'R': '臺南縣', 'S': '高雄縣', 'T': '屏東縣', 'U': '花蓮縣', 'V': '臺東縣', 'X': '澎湖縣', 'Y': '陽明山', 'W': '金門縣',
             'Z': '連江縣', 'O': '新竹市'}
# 行政代碼
dis_codes = ['A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U',
             'V', 'W', 'X', 'Y', 'Z']

dists = ['北縣', '宜縣', '桃縣', '竹縣', '苗縣', '中縣', '彰縣',
         '投縣', '雲縣', '嘉縣', '南縣', '高縣', '屏縣', '東縣',
         '花縣', '澎縣', '基市', '竹市', '嘉市', '連江', '金門',
         '北市', '高市', '新北市', '中市', '南市', '桃市']
# 證件發證狀態
states = ['初發', '補發', '換發']

# 性別
sexes = ['男', '女']

fp = open('materials/birth_day.txt', 'w+', encoding='utf-8')

# for i in range(0, 400):
#     s= random.randint(0, 1)
#     fp.write(sexes[s] + '\n')
#     print(sexes[s])

for dist in dists:
    for i in range(0, 200):
        # 發證年份
        year = random.randint(1, 200)
        # 發證月份
        month = random.randint(1, 12)
        # 發證日期
        day = random.randint(1, 31)
        # 證件狀態
        state = states[random.randint(0, 2)]

        # content = '民國' + str(year) + '年' + str(month) + '月' + str(day) + '日' + '(' + dist + ')' + state
        content = '民國 ' + str(year) + ' 年 ' + str(month) + ' 月 ' + str(day) + ' 日'
        fp.write(content + '\n')
        print(content)

        # s = random.randint(0, 1)
        # fp.write(sexes[s] + '\n')
        # print(sexes[s])
